> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 内部データ暗号化キー（DEK）のエクスポート

> 内部のデータ暗号化キー（DEK）をエクスポートします。



## OpenAPI

````yaml 26.2/self-hosted/ja/api-reference/openapi.json POST /exportDataEncryptionKey
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /exportDataEncryptionKey:
    post:
      tags:
        - exportDataEncryptionKey
      summary: 内部データ暗号化キー（DEK）のエクスポート
      description: 内部のデータ暗号化キー（DEK）をエクスポートします。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/exportDataEncryptionKey_input'
        required: true
      responses:
        '200':
          description: アクションの結果。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/exportDataEncryptionKey_output'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    exportDataEncryptionKey_input:
      type: object
      required:
        - Passphrase
      properties:
        Passphrase:
          type: string
          description: 転送中のエクスポートされたデータ暗号化キーマテリアルを保護するための一時的な暗号化キーを導出するために使用される、ユーザー定義の文字列。
    exportDataEncryptionKey_output:
      type: array
      items:
        type: object
        properties:
          KeyPackage:
            type: string
            description: データ暗号化キーおよびそれに関連する暗号化メタデータを含む、暗号化されたデータブロック。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````